Get Account Stats
POST
Retrieves statistics for a specific address. Account activity can be analyzed through transaction data, transfer events, assets, and other information for the account.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
addressstringrequired
Parameter specifying the account address to query. The account address must be entered as a 64-character hexadecimal string (including "0x").Responses
transactionCountsintegerrequired
A field that represents the number of transactions created by the account.Refers to transactions where this account is included as the sender.tokensinteger
A field that represents the number of Token (Coin, Fungible Asset) balance changes.tokensinteger
A field that represents the number of Tokens (Coin, Fungible Asset) held by the account.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/aptos/mainnet/stats/getAccountStats' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"address": "0xd91c64b777e51395c6ea9dec562ed79a4afa0cd6dad5a87b187c37198a1f855a"}'